clang 8.0.0

Namespaces | Macros | Functions
NamespaceEndCommentsFixer.cpp File Reference

This file implements NamespaceEndCommentsFixer, a TokenAnalyzer that fixes namespace end comments. More...

`#include "NamespaceEndCommentsFixer.h"`
`#include "llvm/Support/Debug.h"`
`#include "llvm/Support/Regex.h"`
Include dependency graph for NamespaceEndCommentsFixer.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format

## Macros
#define | DEBUG_TYPE "namespace-end-comments-fixer"

## Functions
const FormatToken * | clang::format::getNamespaceToken (const AnnotatedLine *Line, const SmallVectorImpl< AnnotatedLine *> &AnnotatedLines)

## Detailed Description

This file implements NamespaceEndCommentsFixer, a TokenAnalyzer that fixes namespace end comments.

Definition in file NamespaceEndCommentsFixer.cpp.

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "namespace-end-comments-fixer"

Definition at line 20 of file NamespaceEndCommentsFixer.cpp.